<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php'); 
$can1=mysqli_query($con,"SELECT * FROM fac_detalle_temp where empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con)); 
$result = mysqli_num_rows($can1);
if($result == 0)
{
    echo '<div class="alert alert-danger alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>La lista de Articulos esta vacia </strong> 
        </div>';
}
else
{



$can=mysqli_query($con,"SELECT MAX(fac_numero) as numero FROM fac_periodica  where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can); 
$fac_numero=$dato['numero']+1;

$clie_id=$_POST['clie_id'];
$fac_inicio_contrato=$_POST['fac_inicio_contrato'];
//$fac_fin_contrato=$_POST['fac_fin_contrato'];
$fac_periodo=$_POST['fac_periodo'];


$fecha_ini = $fac_inicio_contrato;
$nuevafecha = strtotime ( '+'.$fac_periodo.' month' , strtotime ( $fecha_ini ) ) ;
$nuevafecha = date ( 'Y-m-d' , $nuevafecha );

$separ_nuevafecha = explode("-",$nuevafecha);
$fac_mes_inicia = $separ_nuevafecha[1];

$separa = explode("-",$nuevafecha);
$fac_dia_repite = $separa[2];
// $fac_mes_inicia = $separa[1];
$fac_ano_inicia = $separa[0];


$fac_estado_email=$_POST['fac_estado_email'];
$fac_asunto=$_POST['fac_asunto'];
$fac_msj=$_POST['fac_msj'];

//$plazo=$_POST['dias'];

$can2=mysqli_query($con,"SELECT MAX(fac_id) as fac_id FROM fac_periodica") or die(mysqli_error($con)); 
$dato2=mysqli_fetch_array($can2);
$fac_id=$dato2['fac_id']+1;

$registros=mysqli_query($con,"INSERT into fac_periodica (fac_id,fac_numero,Cliente_clie_id,fac_inicio_contrato,fac_dia_repite,fac_periodo,fac_mes_inicia,fac_ano_inicia,fac_estado_email,fac_asunto,fac_msj,fac_estado,empresa)
          VALUES  ('$fac_id','$fac_numero','$clie_id','$fac_inicio_contrato','$fac_dia_repite','$fac_periodo','$fac_mes_inicia','$fac_ano_inicia','$fac_estado_email','$fac_asunto','$fac_msj','Activo','$empresa')") or  die(mysqli_error($con));

$can7=mysqli_query($con,"SELECT * FROM fac_detalle_temp
where empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
$number  = mysqli_num_rows($can7);
while($dato=mysqli_fetch_array($can7))
{
    $facd_art_id=$dato['facd_art_id'];
    $facd_referencia=$dato['facd_referencia'];            
    $facd_nombre=$dato['facd_nombre']; 
    $facd_cantidad=$dato['facd_cantidad'];
    $facd_iva=$dato['facd_iva'];            
    $facd_desc=$dato['facd_desc']; 
    $facd_precio=$dato['facd_precio'];            

    $borrar1=mysqli_query($con,"DELETE FROM fac_clie_temp where empresa='$empresa' and usuario='$usu_id' ") or  die(mysqli_error($con));

    $can8=mysqli_query($con,"INSERT INTO fac_detalle (facd_art_id,facd_referencia,facd_nombre,facd_cantidad,facd_iva,facd_desc,facd_precio,fac_periodica_fac_id) 
    VALUES ('$facd_art_id','$facd_referencia','$facd_nombre','$facd_cantidad','$facd_iva','$facd_desc','$facd_precio','$fac_id')") or die(mysqli_error($con));
} 

$borrar1=mysqli_query($con,"DELETE FROM fac_detalle_temp where empresa='$empresa' and usuario='$usu_id' ") or  die(mysqli_error($con));                 
echo '<div class="alert alert-success alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong>Contrato!</strong> Registrado correctamente.
</div>';

}
 ?>